curl --request DELETE \
--url {protocol}://{host}/v2/loyalties/programs/{programId}/card-definitions/{cardDefinitionId} \
--header 'X-App-Id: <api-key>' \
--header 'X-App-Token: <api-key>'{
"card_type": "INDIVIDUAL",
"card_definition_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"object": "<string>"
}{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>",
"resource_id": "<string>",
"resource_type": "<string>"
}{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>",
"resource_id": "<string>",
"resource_type": "<string>"
}{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>",
"resource_id": "<string>",
"resource_type": "<string>"
}{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>",
"resource_id": "<string>",
"resource_type": "<string>"
}Unassign card definition from program
This documentation is in progress. The parameters, fields, request and response bodies, and other data may be subject to change. If you need more information or you want to share feedback, contact Voucherify support or your Technical Account Manager.
Unassigns a card definition from the program.
The program must be in DRAFT status - otherwise the request is rejected with 423 Locked (key non_draft_program).
Returns 423 Locked when the card definition is still referenced by an earning rule, reward, or tier structure assigned to the program.
curl --request DELETE \
--url {protocol}://{host}/v2/loyalties/programs/{programId}/card-definitions/{cardDefinitionId} \
--header 'X-App-Id: <api-key>' \
--header 'X-App-Token: <api-key>'{
"card_type": "INDIVIDUAL",
"card_definition_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"object": "<string>"
}{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>",
"resource_id": "<string>",
"resource_type": "<string>"
}{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>",
"resource_id": "<string>",
"resource_type": "<string>"
}{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>",
"resource_id": "<string>",
"resource_type": "<string>"
}{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>",
"resource_id": "<string>",
"resource_type": "<string>"
}Authorizations
Path Parameters
Unique program identifier.
^lprg_[a-f0-9]+$Unique card definition identifier to unassign from the program.
^lcdef_[a-f0-9]+$Response
Card definition assignment removed.
A card definition assigned to a program.
Card type of the assigned card definition.
INDIVIDUAL Unique card definition identifier.
^lcdef_[a-f0-9]+$Assignment creation timestamp (ISO 8601).
Object type marker.
"program_card_definition"Was this page helpful?

